Bug 375271 - gnome-panel installation scripts are noisy
Summary: gnome-panel installation scripts are noisy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-11 00:58 UTC by Michal Jaegermann
Modified: 2009-07-14 16:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:15:43 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-11-11 00:58:16 UTC
Description of problem:

Updates to the current rawhide have effects like these:
.....
  Updating  : gnome-panel                  ##################### [263/534]
I/O warning : failed to load external entity "/etc/gconf/schemas/intlclock.schemas"
Failed to open `/etc/gconf/schemas/intlclock.schemas': No such file or directory
WARNING: multiple <locale> nodes for locale `en_US', ignoring all past first
.....

File /etc/gconf/schemas/intlclock.schemas is provided by gnome-panel
package itself so the first warning likely comes from that
package preinstall scriptlet but if this really immaterial then
maybe both stdin and stderr should be sent to /dev/null and not
only the first one.

OTOH "multiple <locale> nodes for locale `en_US'" warning
is still present after the package was installed and on tries
to rerun "--makefile-install-rule" part of a corresponding
postinstall scriptlet.  Is that important?  No way to tell.
If not then why not to send that to /dev/null as well?

Version-Release number of selected component (if applicable):
gnome-panel-2.20.1-4.fc9

Comment 1 Michal Jaegermann 2007-11-11 01:15:30 UTC
BTW - I looked around on my system trying to guess what may trigger
that "multiple <locale> nodes" complaint and I still have no idea.
A value of LANG happens to be here en_CA.UTF-8

OTOH a strace output seems to indicate that 
/etc/gconf/schemas/intlclock.schemas
is unhealthy and indeed that file seems to have "en_US" repeating.

Comment 2 Bug Zapper 2008-05-14 03:52:18 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-06-09 23:09:53 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 16:15:43 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.